PUT api/v1/update_state?id={id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
state_new| Name | Description | Type | Additional information |
|---|---|---|---|
| state_province_id | integer |
None. |
|
| country_id | integer |
None. |
|
| state_name | string |
None. |
|
| state_code | string |
None. |
|
| sort_order | integer |
None. |
|
| is_active | boolean |
None. |
|
| is_logical_deleted | boolean |
None. |
|
| image_path | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"state_province_id": 1,
"country_id": 2,
"state_name": "sample string 3",
"state_code": "sample string 4",
"sort_order": 1,
"is_active": true,
"is_logical_deleted": true,
"image_path": "sample string 5"
}
text/html
Sample:
{"$id":"1","state_province_id":1,"country_id":2,"state_name":"sample string 3","state_code":"sample string 4","sort_order":1,"is_active":true,"is_logical_deleted":true,"image_path":"sample string 5"}
application/xml, text/xml
Sample:
<state_new xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models"> <country_id>2</country_id> <image_path>sample string 5</image_path> <is_active>true</is_active> <is_logical_deleted>true</is_logical_deleted> <sort_order>1</sort_order> <state_code>sample string 4</state_code> <state_name>sample string 3</state_name> <state_province_id>1</state_province_id> </state_new>
multipart/form-data
Sample:
<state_new xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models"><country_id>2</country_id><image_path>sample string 5</image_path><is_active>true</is_active><is_logical_deleted>true</is_logical_deleted><sort_order>1</sort_order><state_code>sample string 4</state_code><state_name>sample string 3</state_name><state_province_id>1</state_province_id></state_new>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
None.